import Foundation

enum StreamStatus: Stateable {
    case opened
    case closed
}

struct StreamState: Stateable {
    var streamStatus: StreamStatus
    var streamFeatures: [StreamFeature]
    var streamAttributes: [String: String]
}

// MARK: Init
extension StreamState {
    init() {
        streamStatus = .closed
        streamFeatures = []
        streamAttributes = [:]
    }
}
